Bug 1272131 - control-center's network panel crashes on NetworkManager restart
control-center's network panel crashes on NetworkManager restart
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: control-center (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Bastien Nocera
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-15 10:33 EDT by Jirka Klimes
Modified: 2016-01-04 01:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 11:06:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stack trace from gdb (10.63 KB, text/plain)
2015-10-15 10:39 EDT, Jirka Klimes
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 756973 None None None Never

  None (edit)
Description Jirka Klimes 2015-10-15 10:33:17 EDT
Reproducer:

In one terminal 
$ gnome-control-center network

In the second terminal
$ sudo systemctl restart NetworkManager

"Segmentation fault (core dumped)" shows for the control center

$ rpm -q control-center
control-center-3.14.5-8.el7.x86_64
$ rpm -q NetworkManager
NetworkManager-1.0.6-21.el7.x86_64
Comment 2 Jirka Klimes 2015-10-15 10:39 EDT
Created attachment 1083296 [details]
stack trace from gdb

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff027ff6b in g_type_check_instance_cast () from /lib64/libgobject-2.0.so.0
(gdb) bt
#0  0x00007ffff027ff6b in g_type_check_instance_cast () from /lib64/libgobject-2.0.so.0
#1  0x000000000051cb81 in device_ethernet_refresh_ui (device=0x2707c70) at net-device-ethernet.c:213
#2  0x00007ffff025de38 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#3  0x00007ffff026f75d in signal_emit_unlocked_R () from /lib64/libgobject-2.0.so.0
#4  0x00007ffff02774c1 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#5  0x00007ffff027777f in g_signal_emit () from /lib64/libgobject-2.0.so.0
#6  0x00007ffff2ce7ca6 in connection_inited (source=<optimized out>, result=0x271a5f0, user_data=<optimized out>) at nm-remote-settings.c:522
#7  0x00007ffff10bef47 in g_simple_async_result_complete () from /lib64/libgio-2.0.so.0
#8  0x00007ffff2ce452b in init_async_complete (init_data=0x2431a60, error=<optimized out>) at nm-remote-connection.c:662
#9  0x00007ffff2ce4731 in init_async_got_properties (proxy=0x2721b30, call=0x1, user_data=0x2431a60) at nm-remote-connection.c:681
#10 0x00007fffe69db862 in complete_pending_call_and_unlock () from /lib64/libdbus-1.so.3
#11 0x00007fffe69deb51 in dbus_connection_dispatch () from /lib64/libdbus-1.so.3
#12 0x00007ffff2831d35 in message_queue_dispatch () from /lib64/libdbus-glib-1.so.2
#13 0x00007fffeff6079a in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#14 0x00007fffeff60ae8 in g_main_context_iterate.isra.24 () from /lib64/libglib-2.0.so.0
#15 0x00007fffeff60b9c in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#16 0x00007ffff10f1f24 in g_application_run () from /lib64/libgio-2.0.so.0
#17 0x000000000044c72c in main (argc=1, argv=0x7fffffffe178) at main.c:52

See more details in the attached file.

It seems that the device was finalized but some callbacks were not properly disconnected and thus 'device' object is invalid in device_ethernet_refresh_ui().
Comment 3 Bastien Nocera 2015-10-22 11:02:35 EDT
I've filed an upstream bug at:
https://bugzilla.gnome.org/show_bug.cgi?id=756973

But I don't intend to block on this bug for RHEL. There are no (good) reasons why you should restart NetworkManager while the Network panel is running.
Comment 4 RHEL Product and Program Management 2015-10-22 11:06:16 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.